import { Router } from '@angular/router';
import { AuthServiceService } from './../../shared/auth-service.service';
import { Component, OnInit } from '@angular/core';
import { Route } from '@angular/compiler/src/core';
import { NgxSpinnerService } from 'ngx-spinner';
import { HostListener } from "@angular/core";

@Component({
  selector: 'app-external-page',
  templateUrl: './external-page.component.html',
  styleUrls: ['./external-page.component.css']
})
export class ExternalPageComponent implements OnInit {

  constructor(private authSer: AuthServiceService, 
    private router:Router) {
      this.getScreenSize();
     }

    screenHeight:any;

    @HostListener('window:resize', ['$event'])
    getScreenSize(event?) {
          this.screenHeight = window.innerHeight;
          console.log(this.screenHeight);
    }

  ngOnInit() {
    this.authSer.checkExternalFooter = true;
  }

}
